# $Revision: 1.14 $, $Date: 2001/09/24 13:52:35 $
%include	/usr/lib/rpm/macros.perl
Summary:	RADIUS Server
Summary(pl):	Serwer RADIUS
Name:		icradius
Version:	0.17b
Release:	7
License:	GPL
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	ftp://ftp.innercite.com/pub/icradius/%{name}-%{version}.tar.gz
Source1:	%{name}.pamd
Source2:	%{name}.initd
Source3:	%{name}.logrotate
Source4:	%{name}.QUICKSTART.txt
Source5:	%{name}-ICRadiusCFG.pm
Source6:	%{name}-dictionary.cisco
Source7:	%{name}-dictionary.default
Patch0:		%{name}-radius_dir.patch
Patch1:		%{name}-ICRadiusCFG.patch
Patch2:		%{name}-Cisco-VOIP.patch
URL:		http://radius.innercite.com/
Requires:	perl-Authen-Radius >= 0.05
Requires:	perl >= 5.6.0
Requires:	mysql
Prereq:		/sbin/chkconfig
BuildRequires:	mysql-devel
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	radius
Obsoletes:	radius

%description
RADIUS server with MySQL backend based on Cistron Radius.

%description -l pl
Serwer RADIUS z backendem MySQL bazowanym na Cistron Radius.

%package cgi
Summary:	ICRADIUS web interface
Summary(pl):	Interfejs WWW do ICRADIUS
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Requires:	%{name} = %{version}
Requires:	httpd

%description cgi
ICRADIUS web interface.

%description cgi -l pl
Interfejs WWW do ICRADIUS.

%package perl
Summary:	ICRADIUS perl scripts
Summary(pl):	Skrypty perlowe ICRADIUS
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Requires:	%{name} = %{version}
Requires:	perl
Requires:	perl-Msql-Mysql-modules
Requires:	perl-Authen-Radius >= 0.05
BuildRequires:	rpm-perlprov

%description perl
ICRADIUS perl scripts.

%description perl -l pl
Skrypty perlowe ICRADIUS.

%package dictionaries
Summary:	RADIUS dictionaries
Summary(pl):	Sowniki RADIUS
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Requires:	%{name} = %{version}

%description dictionaries
RADIUS dictionaries.

%description dictionaries -l pl
Sowniki RADIUS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
%{__make} PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="%{rpmcflags}"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries \
	$RPM_BUILD_ROOT/home/httpd/html/%{name}/images \
	$RPM_BUILD_ROOT%{_sysconfdir}/raddb \
	$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT/var/log/radacct \
	$RPM_BUILD_ROOT%{perl_sitearch}

install src/radiusd scripts/{radlast,radwho,testrad,radwatch} \
	$RPM_BUILD_ROOT/%{_sbindir}

#perl
install src/checkrad.pl \
			scripts/{radius.db,acctexport.pl,acctimport.pl,acctsummarize.pl} \
			scripts/{dictimport.pl,radiusfixup.pl,userexport.pl} \
			scripts/{userimport.pl,syncaccounting.pl} \
			$RPM_BUILD_ROOT/%{_datadir}/%{name}

#dictionaries
install raddb/dictionary* \
			$RPM_BUILD_ROOT/%{_datadir}/%{name}/dictionaries
install	%{SOURCE6} $RPM_BUILD_ROOT/%{_datadir}/%{name}/dictionaries/dictionary.cisco-new
install	%{SOURCE7} $RPM_BUILD_ROOT/%{_datadir}/%{name}/dictionaries/dictionary.cistron_default

#cgi
install scripts/images/* \
	$RPM_BUILD_ROOT/home/httpd/html/%{name}/images
install scripts/{radius.cgi,usage.cgi} \
	$RPM_BUILD_ROOT/home/httpd/html/%{name}

#etc
install raddb/radius.conf 	$RPM_BUILD_ROOT%{_sysconfdir}/raddb
install raddb/huntgroups 	$RPM_BUILD_ROOT%{_sysconfdir}/raddb
install %{SOURCE1}	$RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/rc.d/init.d/radius
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/radius
install %{SOURCE4}	doc/QUICKSTART.txt
install %{SOURCE5}	$RPM_BUILD_ROOT/%{perl_sitearch}/ICRadiusCFG.pm

install doc/*.8		$RPM_BUILD_ROOT%{_mandir}/man8
gzip -9nf scripts/{README,deloldsess.sh,radiusd.cron.daily} \
	scripts/{radiusd.cron.monthly,rc.radiusd,usonlineconv.pl} \
	{COPYING,COPYRIGHT.Cistron,COPYRIGHT.ICRADIUS,COPYRIGHT.Livingston} \
	doc/{ChangeLog,ChangeLog.cistron,FAQ,THANKS,TODO} \
	doc/{README,README.Y2K,README.cisco,README.hints,README.proxy,README.simul} \
	doc/QUICKSTART.txt

gzip -9nf $RPM_BUILD_ROOT/%{_datadir}/%{name}/dictionaries/*

:> $RPM_BUILD_ROOT/var/log/radutmp
:> $RPM_BUILD_ROOT/var/log/radwtmp
:> $RPM_BUILD_ROOT/var/log/radius.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/rad{u,w}tmp
/sbin/chkconfig --add radius
if [ -r /var/lock/subsys/radiusd ]; then
	/etc/rc.d/init.d/radius restart >&2
else
	echo "Run \"/etc/rc.d/init.d/radius start\" to start radius daemon."
	echo "Don't forget to read"
	echo "	%{_docdir}/%{name}-%{version}/QUICKSTART.txt.gz"
	echo "if you find problems with running daemon"
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/radiusd ]; then
		/etc/rc.d/init.d/radius stop >&2
	fi
	/sbin/chkconfig --del radius
fi

%files
%defattr(644,root,root,755)
%doc {COPYING,COPYRIGHT.Cistron,COPYRIGHT.ICRADIUS,COPYRIGHT.Livingston}.gz
%doc doc/{ChangeLog,ChangeLog.cistron,FAQ,THANKS,TODO}.gz
%doc doc/{README,README.Y2K,README.cisco,README.hints,README.proxy,README.simul}.gz
%doc scripts/*.gz
%doc doc/QUICKSTART.txt.gz

%attr(750,root,root) %dir /var/log/radacct
%attr(751,root,root) %dir %{_sysconfdir}/raddb

%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/raddb/*

%attr(755,root,root) %{_sbindir}/radiusd
%attr(755,root,root) %{_sbindir}/radwatch
%attr(644,root,root) %{_mandir}/*/*
%attr(644,root,root) %{_datadir}/%{name}/radius.db

%attr(754,root,root) /etc/rc.d/init.d/radius
%attr(640,root,root) /etc/logrotate.d/radius

%attr(640,root,root) %ghost /var/log/radutmp
%attr(640,root,root) %ghost /var/log/radwtmp
%attr(640,root,root) %ghost /var/log/radius.log

%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) /home/httpd/html/%{name}/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/radlast
%attr(755,root,root) %{_sbindir}/radwho
%attr(755,root,root) %{_sbindir}/testrad
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{perl_sitearch}/ICRadiusCFG.pm

%files dictionaries
%defattr(644,root,root,755)
%attr(644,root,root) %{_datadir}/%{name}/dictionaries/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: icradius.spec,v $
Revision 1.14  2001/09/24 13:52:35  qboosh
- Prereq: /sbin/chkconfig
- the rest of pl translations
- release 7

Revision 1.13  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/05/29 01:34:09  bonkey
- removed duplicated macros.perl
- added Cisco-VOIP patch
- release 6

Revision 1.10  2001/05/27 15:39:23  kloczek
- %%include /usr/lib/rpm/macros.perl for generate perl modules dependences,
- cosmetics.

Revision 1.9  2001/05/26 20:42:33  bonkey
- typo in dictionaries
- release 5 (in but last spec actually)
- added huntgroups to /etc/raddb

Revision 1.8  2001/05/26 20:05:22  bonkey
- typos and order in dictionaries names

Revision 1.7  2001/05/26 19:59:45  bonkey
- typos with source{6,7}

Revision 1.6  2001/05/26 19:48:41  bonkey
- added default dictonary

Revision 1.5  2001/05/26 18:52:39  bonkey
- separated dictonaries package moved to %%{_datadir}
- less strict access to /etc/raddb/radius.conf to make perl script
  cgi working (both should work as radius user in future)
- added VOIP dictionary
- release 3

Revision 1.4  2001/05/21 21:33:51  bonkey
- :> to rad{u,w}tmp changed to separated lines

Revision 1.3  2001/05/20 23:55:48  bonkey
- release 2
- _a_lot_of_ fixes and changes
- package mysql changed to perl (with files reorganization)
- Requires and BuildRequires chenged
- additional patches and sources
- some conflicts with icradius.spec rev.1.2 - hopefully patched well

Revision 1.2  2001/05/20 14:27:56  kloczek
- cleanups and cosmetics.

Revision 1.1  2001/05/20 13:16:55  bonkey
- initial version based slightly on radius-cistron
